/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function filesItems(
  params,
  options,
) {
  return request('/admin/files/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function filesCreate(
  body,
  options,
) {
  return request('/admin/files/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function filesUpdate(
  body,
  options,
) {
  return request('/admin/files/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function filesItem(
  params,
  options,
) {
  return request('/admin/files/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

export async function filesDelete(
  body,
  options,
) {
  return request('/admin/files/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}